import request from '@/static/js/request.js'

const apiUri = {
	confirm: '/order/confirm',
	toPay: '/order/toPay',
	detail: '/order/detail',
	list: '/order/list',
	del: '/order/del',
	repay: '/order/repay',
	refund: '/order/refund',
	mobile: '/order/mobile',
	pricePay: '/order/pricePay',
	complaint: '/order/complaint'
}

export function confirm(param) {
	return request.request(apiUri.confirm,'GET', param,false,true,true)
}
export function complaint(param) {
	return request.request(apiUri.complaint,'POST', param,false,true,false)
}
export function pricePay(param) {
	return request.request(apiUri.pricePay,'POST', param,false,true,true)
}
export function toPay(param) {
	return request.request(apiUri.toPay,'POST', param,false,true,false)
}
export function list(param) {
	return request.request(apiUri.list,'GET', param,false,true,true)
}
export function detail(param) {
	return request.request(apiUri.detail,'GET', param,false,true,true)
}
export function del(param) {
	return request.request(apiUri.del,'POST', param,false,true,false)
}
export function repay(param) {
	return request.request(apiUri.repay,'POST', param,false,true,false)
}
export function refund(param) {
	return request.request(apiUri.refund,'POST', param,false,true,false)
}
export function mobile(param) {
	return request.request(apiUri.mobile,'POST', param,false,true,false)
}